package hr.fer.tel.ruazosa.stopwatch;

import android.os.Bundle;
import android.app.Activity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class StopWatchActivity extends Activity {

	private FriendlyChronometer stopWatch;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_stop_watch);

		Button button;

		stopWatch = (FriendlyChronometer) findViewById(R.id.chronometer);

		// Watch for button clicks.
		button = (Button) findViewById(R.id.button_play);
		button.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				stopWatch.play();
			}
		});

		button = (Button) findViewById(R.id.button_pause);
		button.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				stopWatch.pause();
			}
		});

		button = (Button) findViewById(R.id.button_stop);
		button.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				stopWatch.reset();
				stopWatch.stop();
			}
		});
	}
}
