package hr.fer.tel.ruazosa.stopwatch;

import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.IBinder;

public class StopWatchService extends Service {
	
	private final IBinder binder = new SWSBinder();
	
	public class SWSBinder extends Binder {
		StopWatchService getService() {
			return StopWatchService.this;
		}
	}

	@Override
	public IBinder onBind(Intent intent) {
		return binder;
	}

	@Override
	public void onCreate() {
		//start stopwatch
		stopWatch = new SimpleStopWatch();
		
		super.onCreate();
	}
	
	private SimpleStopWatch stopWatch;

	public SimpleStopWatch getStopWatch() {
		return stopWatch;
	}
}
